ECL

From Openmoko

Revision as of 18:45, 23 November 2009 by Yavannadil (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

It's possible to "apt-get install ecl" on Debian on FreeRunner, but as of 23.11.2009 prepackaged ecl fails with "Absurd stack bottom value". This error is due to libgc, which tries to obtain stack bottom from /proc/self/stat and fails. The workaround is to build ecl from source, configuring it with "--enable-boehm=included" and building garbage collector with USE_LIBC_PRIVATES defined. Worked for me with ecl 9.10.2.

Personal tools

It's possible to "apt-get install ecl" on Debian on FreeRunner, but as of 23.11.2009 prepackaged ecl fails with "Absurd stack bottom value". This error is due to libgc, which tries to obtain stack bottom from /proc/self/stat and fails. The workaround is to build ecl from source, configuring it with "--enable-boehm=included" and building garbage collector with USE_LIBC_PRIVATES defined. Worked for me with ecl 9.10.2.